Subject: Snail Farming

From: [email-masked] (RHarris209)
Date: 18 Sep 1995 01:38:05 -0400

My Father in Law, R.V. Dick Johnson and I would like to exchange
information with those interested Heliciculture ( escargot snail farming).

Dick just returned from a trip sponsored by the United States Government
to the former U.S.S.R.  He was there for a month showing them how to
raise, market and ship snails.  He has a lot of information to share with
those interested.

We have been raising snails both indoors and outdoors for the past ten
years.  It has become a good business for us.  This year we have delivered
approx. 80,000 snails to distributors and growers.  We have experience
with both greenhouse and outdoor pen growing environments.

E-mail questions to [email-masked].

We also have a video and handbook that cover all aspects from feed to
shipping.

We look forward to hearing from you.

Reed Harris
[email-masked]